classification
Title: EchoServerClientProtocol class should be called EchoServerProtocol
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, cheryl.sabella, docs@python, gc, miss-islington, yselivanov
Priority: normal Keywords: easy, patch

Created on 2015-03-01 05:59 by gc, last changed 2018-10-15 21:59 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9859 merged python-dev, 2018-10-13 23:46
PR 9900 merged miss-islington, 2018-10-15 21:39
Messages (7)
msg236932 - (view) Author: Giovanni Cannata (gc) Date: 2015-03-01 05:59
In 18.5.4.3.2. TCP echo server protocol the class in the example code is called EchoServerClientProtocol.  It should be EchoServerProtocol. (The client protocol example is correctly called EchoClientProtocol).
msg327614 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-10-12 22:09
Here's a link to the example that the original OP is referring to:
https://docs.python.org/3/library/asyncio-protocol.html?highlight=echoserverclientprotocol#tcp-echo-server

Since this doc page was recently rewritten, I'm not sure if this should be considered a typo.
msg327615 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-10-12 22:17
Agree, EchoServer is the better name
msg327616 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-10-12 23:00
Thanks @asvetlov.  I'm going to mark this as an Easy Documentation issue, good for a first-time contributor.
msg327617 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-10-12 23:50
Cool! Thanks!
msg327790 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-10-15 21:39
New changeset 43a5bd7b458f0ad2d62b00b033d025689d48d591 by Yury Selivanov (Braden Groom) in branch 'master':
bpo-23554: Change echo server example class name from EchoServerClientProtocol to EchoServerProtocol (GH-9859)
https://github.com/python/cpython/commit/43a5bd7b458f0ad2d62b00b033d025689d48d591
msg327795 - (view) Author: miss-islington (miss-islington) Date: 2018-10-15 21:59
New changeset 802de12d99d16e621537d454eac942d2f448afee by Miss Islington (bot) in branch '3.7':
bpo-23554: Change echo server example class name from EchoServerClientProtocol to EchoServerProtocol (GH-9859)
https://github.com/python/cpython/commit/802de12d99d16e621537d454eac942d2f448afee
History
Date User Action Args
2018-10-15 21:59:55miss-islingtonsetnosy: + miss-islington
messages: + msg327795
2018-10-15 21:40:26yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-15 21:39:28miss-islingtonsetpull_requests: + pull_request9262
2018-10-15 21:39:20yselivanovsetmessages: + msg327790
2018-10-13 23:46:53python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9227
2018-10-12 23:50:11asvetlovsetmessages: + msg327617
2018-10-12 23:00:22cheryl.sabellasetkeywords: + easy
type: enhancement
messages: + msg327616

stage: needs patch
2018-10-12 22:17:34asvetlovsetnosy: + asvetlov
messages: + msg327615
2018-10-12 22:09:55cheryl.sabellasetnosy: + cheryl.sabella, yselivanov

messages: + msg327614
versions: + Python 3.8, - Python 3.4
2015-03-01 05:59:32gccreate